0
$\begingroup$

Rosanswers logo

Hi, everyone.

How can I install external libraries(PCL, OpenNI) without uninstalling related ROS packages
(ros-groovy-pcl, ros-groovy-openni-*, ros-groovy-navigation(which depends on ros-groovy-pcl) .etc)?
Is it possible ?

I'm trying to use ScaViSLAM(http://www.ros.org/wiki/ScaViSLAM) with Xtion PRO Live.
Unfortunately, ScaViSLAM is not ROS package, so I need to install it with this guide line(https://github.com/strasdat/ScaViSLAM).

To install ScaViSLAM, I have to install standalone pcl and OpenNI because of the difference of the version.
For example,

  1. ros-groovy-pcl doesn't include pcl/io/openni_grabber.h, but standalone pcl(1.6) does.
  2. I can use Xtion with ros-groovy-openni-*. However, when running ScaViSLAM, I have an error like "cannot open OpenNI.so.0". I think that I will not have that with standalone OpenNI installation.

If I uninstall ros-groovy-pcl with "sudo apt-get remove ros-groovy-pcl",
ROS packages which depend on it are also uninstalled.
If I install ros-groovy-openni-* after installation of standalone OpenNI, multiple OpenNI will be installed.
I don't like them.

If you have any idea, could you help me ?

Thanks in advance.

---Configuration---
OS : Ubuntu 12.04 32bit
ROS distro : Groovy


Originally posted by moyashi on ROS Answers with karma: 721 on 2013-05-27

Post score: 1

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

I see nothing on that guide that has anything to do with ROS. This forum is for ROS questions, so please refrain from questions not regarding ROS functionality/installation.

But, if you were to install the packages you mentioned, you would need to just install the correct packages from the repository (although most if not all of the dependencies are covered in the guide you linked).


Originally posted by allenh1 with karma: 3055 on 2013-05-28

This answer was ACCEPTED on the original site

Post score: 0


Original comments

Comment by moyashi on 2013-05-28:
Thank you for your answer and sorry for my unclear question. I think this question is similar to http://answers.ros.org/question/38162/how-to-update-opencv-to-latest-version/ , so I don't think it doesn't completely have nothing to do ROS.

Comment by moyashi on 2013-05-28:
And according to your answer, I have to just install external packages I like. However, installation is denied because there is competitive ROS packages. If I remove these, related ros packages I'd not like to remove are also removed. I'd like to solve this problem. Sorry for my confusing question.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.